unit Nav;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, Grids, DBGrids, ExtCtrls, PDBNav, StdCtrls, Buttons,
  ComCtrls, Spin;

type
  TF_Nav = class(TForm)
    TOrders: TTable;
    DOrders: TDataSource;
    GOrder: TDBGrid;
    Nav1: TPDBNav;
    Label1: TLabel;
    TCustomers: TTable;
    DCustomers: TDataSource;
    TEmployee: TTable;
    DEmployee: TDataSource;
    TOrdersOrderNo: TFloatField;
    TOrdersCustNo: TFloatField;
    TOrdersSaleDate: TDateTimeField;
    TOrdersShipDate: TDateTimeField;
    TOrdersEmpNo: TIntegerField;
    TOrdersShipToContact: TStringField;
    TOrdersShipToAddr1: TStringField;
    TOrdersShipToAddr2: TStringField;
    TOrdersShipToCity: TStringField;
    TOrdersShipToState: TStringField;
    TOrdersShipToZip: TStringField;
    TOrdersShipToCountry: TStringField;
    TOrdersShipToPhone: TStringField;
    TOrdersShipVIA: TStringField;
    TOrdersPO: TStringField;
    TOrdersTerms: TStringField;
    TOrdersPaymentMethod: TStringField;
    TOrdersItemsTotal: TCurrencyField;
    TOrdersTaxRate: TFloatField;
    TOrdersFreight: TCurrencyField;
    TOrdersAmountPaid: TCurrencyField;
    TCustomersCustNo: TFloatField;
    TCustomersCompany: TStringField;
    TCustomersAddr1: TStringField;
    TCustomersAddr2: TStringField;
    TCustomersCity: TStringField;
    TCustomersState: TStringField;
    TCustomersZip: TStringField;
    TCustomersCountry: TStringField;
    TCustomersPhone: TStringField;
    TCustomersFAX: TStringField;
    TCustomersTaxRate: TFloatField;
    TCustomersContact: TStringField;
    TCustomersLastInvoiceDate: TDateTimeField;
    TEmployeeEmpNo: TIntegerField;
    TEmployeeLastName: TStringField;
    TEmployeeFirstName: TStringField;
    TEmployeePhoneExt: TStringField;
    TEmployeeHireDate: TDateTimeField;
    TEmployeeSalary: TFloatField;
    TOrdersCustName: TStringField;
    TOrdersEmpName: TStringField;
    OGP: TGroupBox;
    GCust: TDBGrid;
    Customers: TLabel;
    Nav2: TPDBNav;
    BInfo: TBitBtn;
    CBType: TComboBox;
    Label2: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    StatusBar1: TStatusBar;
    Label3: TLabel;
    Image1: TImage;
    Label4: TLabel;
    Timer1: TTimer;
    CInner: TComboBox;
    Label5: TLabel;
    COuter: TComboBox;
    Label6: TLabel;
    BMs: TSpeedButton;
    BFlat: TSpeedButton;
    PSpace: TSpinEdit;
    Label7: TLabel;
    Label8: TLabel;
    BSpace: TSpinEdit;
    CD: TColorDialog;
    PSColor: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure CBTypeChange(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure CInnerChange(Sender: TObject);
    procedure COuterChange(Sender: TObject);
    procedure BFlatClick(Sender: TObject);
    procedure PSColorClick(Sender: TObject);
    procedure PSpaceChange(Sender: TObject);
    procedure BSpaceChange(Sender: TObject);
    procedure GOrderTitleClick(Column: TColumn);
    procedure FormActivate(Sender: TObject);
    procedure BMsClick(Sender: TObject);
    procedure BInfoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  F_Nav: TF_Nav;

implementation

uses Info;

{$R *.DFM}



procedure TF_Nav.FormCreate(Sender: TObject);
begin
  CBType.ItemIndex:=0;
  CInner.ItemIndex:=2;
  COuter.ItemIndex:=0;
  PSpace.Value:=Nav1.Options.PanelSpace;
  BSpace.Value:=Nav1.Options.ButtonSpace;
  PSColor.Color:=Nav1.Options.SortColor;
end;


procedure TF_Nav.CBTypeChange(Sender: TObject);
begin
  Case CBType.ItemIndex of
    0: Nav1.Options.ButtonType:=btLarge;
    1: Nav1.Options.ButtonType:=btSmall;
    2: Nav1.Options.ButtonType:=btOther;
  end;
end;

procedure TF_Nav.RadioButton1Click(Sender: TObject);
begin
  Nav1.Options.Kind:=kiOneRow;
  BInfo.Visible:=True;
  Label3.Visible:=False;
end;

procedure TF_Nav.RadioButton2Click(Sender: TObject);
begin
  Nav1.Options.Kind:=kiTwoRows;
  BInfo.Visible:=False;
  Label3.Visible:=True;
end;

procedure TF_Nav.Timer1Timer(Sender: TObject);
begin
  Image1.Visible:= not Image1.Visible;
end;

procedure TF_Nav.CInnerChange(Sender: TObject);
begin
  Case CInner.ItemIndex of 
    0: Nav1.BevelInner:=bvLowered;
    1: Nav1.BevelInner:=bvNone;
    2: Nav1.BevelInner:=bvRaised;
  end;
end;

procedure TF_Nav.COuterChange(Sender: TObject);
begin
  Case COuter.ItemIndex of 
    0: Nav1.BevelOuter:=bvLowered;
    1: Nav1.BevelOuter:=bvNone;
    2: Nav1.BevelOuter:=bvRaised;
  end;
end;

procedure TF_Nav.BFlatClick(Sender: TObject);
begin
  Nav1.Flat:=BFlat.Down;
end;



procedure TF_Nav.PSColorClick(Sender: TObject);
begin
  CD.Color:=Nav1.Options.SortColor;
  IF CD.Execute then begin
    PSColor.Color:=CD.Color;
    Nav1.Options.SortColor:=Cd.Color;
  end;
end;

procedure TF_Nav.PSpaceChange(Sender: TObject);
begin
  Nav1.Options.PanelSpace:=PSpace.Value;
end;

procedure TF_Nav.BSpaceChange(Sender: TObject);
begin
  Nav1.Options.ButtonSpace:=BSpace.Value;
end;

procedure TF_Nav.GOrderTitleClick(Column: TColumn);
begin
  IF Column.Field.FieldName='CustName' then begin
    Timer1.Enabled:=False;
    Image1.Visible:=False;
    Label4.Visible:=False;
  end;  
end;

procedure TF_Nav.FormActivate(Sender: TObject);
begin
  Nav2.Width:=336;
end;

procedure TF_Nav.BMsClick(Sender: TObject);
begin
  If BMS.Down then begin
    TOrders.MasterSource:=DCustomers;
    TOrders.MasterFields:='CustNo';
    TOrders.IndexName:='CustNo';  
  end
  else begin
    TOrders.MasterSource:=nil;
    TOrders.MasterFields:='';
    TOrders.IndexName:='';
  end;
end;

procedure TF_Nav.BInfoClick(Sender: TObject);
begin
  F_Info.ShowModal;
end;

end.
